<?php
include_once 'sys/inc/start.php';
$doc = new document();
$doc->title = 'Сейчас на сайте';


$posts = array();


$pages = new pages;
$pages->posts = $dcms->count('users_online'); // количество постов
$pages->this_page(); // получаем текущую страницу



$q = mysql_query("SELECT `users_online`.* , `browsers`.`name` AS `browser`
 FROM `users_online`
 LEFT JOIN `browsers`
 ON `users_online`.`id_browser` = `browsers`.`id`
 ORDER BY `users_online`.`time_login` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($ank=mysql_fetch_assoc($q)) {
$p_user = new user($ank['id_user']);
$info='';

if ($user->id === $p_user->id || $user->group > $p_user->group)
{
$info .= 'Браузер: '.for_value($ank['browser'])."<br />\n";
$info .= 'IP: '.long2ip($ank['ip_long'])."<br />\n";
}

$info .= 'Переходов: '.$ank['conversions']."<br />";
$info .= 'Последний визит: '.vremja($p_user->last_visit).'<br />';

$posts[]=array('title'=>$p_user->show(),'icon'=>$p_user->icon(),'post'=>$info);
unset($p_user);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>'Нет пользователей');

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');


$pages->listing('?'); // вывод страниц

?>
